<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.1 $
 * $Author: tora60 $
 * $Date: 2009/11/20 22:30:26 $
 */

defined('mxMainFileLoaded') or die('access denied');

class Theme_Mx_Menu extends Mx_Menu {
    /* Konstruktor ;) */
    function __construct()
    {
        /* Stylesheet in Headbereich integrieren */
        pmxHeader::add_style($this->get_stylesheet());

        /* in der normalen Klasse weiter... */
        parent::__construct();
    }

    /* das Stylesheet fuer den Block */
    function get_stylesheet()
    {
        return MX_THEME_DIR . '/style/mx-menu.css';
    }

    /**
     * Mx_Menu::get_item()
     *
     * @param mixed $url
     * @param mixed $title
     * @param mixed $description
     * @param mixed $class
     * @param string $sub
     * @return
     */
    function get_item($url, $title, $description, $class, $sub = '')
    {
        $out = parent::get_item($url, $title, $description, $class, $sub);

        if (strpos($out, 'class="current') && $cc = strpos(trim($out), '<li>') === 0) {
            $out = substr_replace($out , '<li class="current">', 1, 5);
        }

        return $out;
    }
}

?>